extends Node


var load_scene : String


func _on_Profilo_pressed():
	get_tree().change_scene('res://blokoj/profilo/profilo.tscn')


func _on_Resurso_Center_pressed():
	$CanvasLayer/UI/Lbar/L_VBox/RCentro/Window.popup_centered()


func _on_Objektoj_pressed():
	$CanvasLayer/UI/Lbar/L_VBox/Objektoj/Window/canvas/MarginContainer.set_visible(true)
	
	
func _on_Servilo_pressed():
	get_tree().change_scene('res://blokoj/servilo/servilo.tscn')


func set_visible(visible: bool):
	$CanvasLayer/UI.visible = visible
	

func _on_Taskoj_pressed():
	$CanvasLayer/UI/Lbar/L_VBox/Taskoj/Window/canvas/MarginContainer.set_visible(true)

func CloseWindow():
	$CanvasLayer/UI/Lbar/L_VBox/Taskoj/Window/canvas/MarginContainer.set_visible(false)
	$CanvasLayer/UI/Lbar/L_VBox/Objektoj/Window/canvas/MarginContainer.set_visible(false)


func reloadWindow():
	$CanvasLayer/UI/Lbar/L_VBox/Taskoj/Window._on_Taskoj_draw()
	$CanvasLayer/UI/Lbar/L_VBox/Objektoj/Window._on_Objekto_draw()

func _on_cap_pressed():
	var reload = false
	if Global.realeco!=3:
		Global.realeco = 3
		reload = true
		# при переключении миров закрываем окна ресурсов, объектов, т.к. они расчитаны на конкретный мир
		CloseWindow()
	get_tree().change_scene('res://blokoj/kosmo/scenoj/space.tscn')
#	for sc in $"/root".get_children():
#		print(' - scena = = ',sc.name)
	if reload:
		reloadWindow()
#	get_tree().change_scene('res://blokoj/kosmostacioj/CapKosmostacio.tscn')


func _on_com_pressed():
	var reload = false
	if Global.realeco!=2:
		Global.realeco = 2
		reload = true
		# при переключении миров закрываем окна ресурсов, объектов, т.к. они расчитаны на конкретный мир
		CloseWindow()
	get_tree().change_scene('res://blokoj/kosmo/scenoj/space.tscn')
#	get_tree().change_scene("res://blokoj/kosmostacioj/ComKosmostacio.tscn")
	if reload:
		reloadWindow()


func _on_real_pressed():
	var reload = false
	if Global.realeco!=1:
		Global.realeco = 1
		reload = true
		# при переключении миров закрываем окна ресурсов, объектов, т.к. они расчитаны на конкретный мир
		CloseWindow()
	get_tree().change_scene("res://blokoj/kosmostacioj/Kosmostacio.tscn")
	if reload:
		reloadWindow()



